Yeah, 0.203 is specifically compatible with SDL 2.0.8 and 2.0.9.

If anyone installed the SDL 2.0.9 beta to get things going on Mojave, the 2.0.9 release version is out now: http://www.libsdl.org/download-2.0.php